﻿## History of changes for WinPython-64bit 3.7.0.1



The following changes were made to WinPython-64bit distribution since version 3.7.0.0.



### Tools



Upgraded packages:



  * [Nodejs](https://nodejs.org) v8.9.4 → v8.11.2 (a JavaScript runtime built on Chrome's V8 JavaScript engine)



### Python packages



New packages:



  * [appdirs](https://pypi.org/project/appdirs) 1.4.3 (A small Python module for determining appropriate " + "platform-specific dirs, e.g. a "user data dir".)

  * [atomicwrites](https://pypi.org/project/atomicwrites) 1.1.5 (Powerful Python library for atomic file writes.)

  * [backcall](https://pypi.org/project/backcall) 0.1.0 (Specifications for callback functions passed in to an API)

  * [cftime](https://pypi.org/project/cftime) 1.0.0 (time-handling functionality from netcdf4-python)

  * [colorcet](https://pypi.org/project/colorcet) 0.9.1 (A set of useful perceptually uniform colormaps for plotting scientific data)

  * [cvxopt](https://pypi.org/project/cvxopt) 1.2.0 (Convex optimization package)

  * [cvxpy](https://pypi.org/project/cvxpy) 1.0.6 (A domain-specific language for modeling convex optimization problems in Python)

  * [datashader](https://pypi.org/project/datashader) 0.6.7 (Data visualization toolchain based on aggregating into a grid)

  * [dill](https://pypi.org/project/dill) 0.2.8.2 (serialize all of python (almost))

  * [ecos](https://pypi.org/project/ecos) 2.0.5 (This is the Python package for ECOS: Embedded Cone Solver)

  * [fastcache](https://pypi.org/project/fastcache) 1.0.2 (C implementation of Python 3 functools.lru_cache)

  * [fastparquet](https://pypi.org/project/fastparquet) 0.1.5 (Python support for Parquet file format)

  * [future](https://pypi.org/project/future) 0.16.0 (Clean single-source support for Python 3 and 2)

  * [geographiclib](https://pypi.org/project/geographiclib) 1.49 (The geodesic routines from GeographicLib)

  * [gmpy2](https://pypi.org/project/gmpy2) 2.0.8 (GMP/MPIR, MPFR, and MPC interface to Python 2.6+ and 3.x)

  * [guiqwt](http://packages.python.org/guiqwt) 3.0.3 (Efficient curve/image plotting and other GUI tools for scientific data processing software development)

  * [hvplot](https://pypi.org/project/hvplot) 0.2.0 (A high-level plotting API for pandas, dask, streamz and xarray built on HoloViews)

  * [intake](https://pypi.org/project/intake) 0.1.3 (Data input plugin and catalog system)

  * [keras_applications](https://pypi.org/project/keras_applications) 1.0.2 (Reference implementations of popular deep learning models)

  * [keras_preprocessing](https://pypi.org/project/keras_preprocessing) 1.0.1 (Easy data preprocessing and data augmentation for deep learning models)

  * [keyring](https://pypi.org/project/keyring) 13.2.1 (Store and access your passwords safely.)

  * [llvmlite](https://pypi.org/project/llvmlite) 0.24.0 (lightweight wrapper around basic LLVM functionality)

  * [loky](https://pypi.org/project/loky) 2.1.4 (Robust and reusable Executor for joblib)

  * [msgpack_numpy](https://pypi.org/project/msgpack_numpy) 0.4.3 (Numpy data serialization using msgpack)

  * [multiprocess](https://pypi.org/project/multiprocess) 0.70.6.1 (better multiprocessing and multithreading in python)

  * [mypy](https://pypi.org/project/mypy) 0.610 (Optional static typing for Python)

  * [numba](https://pypi.org/project/numba) 0.39.0 (compiling Python code using LLVM)

  * [osqp](https://pypi.org/project/osqp) 0.3.0 (the Operator Splitting QP Solver.)

  * [parambokeh](https://pypi.org/project/parambokeh) 0.2.2 (Declarative Python programming using Parameters.)

  * [pyct](https://pypi.org/project/pyct) 0.4.3 (python package common tasks for users (e.g. copy examples, fetch data, ...))

  * [pyviz_comms](https://pypi.org/project/pyviz_comms) 0.1.1 (Launch jobs, organize the output, and dissect the results)

  * [pywin32_ctypes](https://pypi.org/project/pywin32_ctypes) 0.1.2 (A (partial) reimplementation of pywin32 that is pure python (uses ctypes/cffi))

  * [pyzo](https://pypi.org/project/pyzo) 4.5.2 (the Python IDE for scientific computing)

  * [ruamel.yaml](https://pypi.org/project/ruamel.yaml) 0.15.42 (a YAML parser/emitter that supports roundtrip preservation of comments, seq/map flow style, and map key order)

  * [scs](https://pypi.org/project/scs) 1.2.7 (scs: splitting conic solver)

  * [spyder_kernels](https://pypi.org/project/spyder_kernels) 0.2.4 (Jupyter kernels for the Spyder console)

  * [thrift](https://pypi.org/project/thrift) 0.11.0 (a software framework for scalable cross-language services development)

  * [torch](https://pypi.org/project/torch) 0.4.0 (a deep learning framework.)

  * [torchvision](https://pypi.org/project/torchvision) 0.2.1 (Datasets, Transforms and Models specific to Computer Vision)

  * [typed_ast](https://pypi.org/project/typed_ast) 1.1.0 (a fork of Python 2 and 3 ast modules with type comment support)

  * [typing](https://pypi.org/project/typing) 3.6.4 (Type Hints for Python)

  * [uncertainties](https://pypi.org/project/uncertainties) 3.0.2 (Transparent calculations with uncertainties on the quantities involved (aka error propagation); fast calculation of derivatives)



Upgraded packages:



  * [alabaster](https://pypi.org/project/alabaster) 0.7.10 → 0.7.11 (A configurable sidebar-enabled Sphinx theme)

  * [altair](https://pypi.org/project/altair) 2.0.0.dev0 → 2.1.0 (High-level declarative visualization library for Python)

  * [astroid](https://pypi.org/project/astroid) 1.6.2 → 1.6.5 (Rebuild a new abstract syntax tree from Python's ast (required for pylint))

  * [attrs](https://pypi.org/project/attrs) 17.4.0 → 18.1.0 (Classes Without Boilerplate)

  * [babel](https://pypi.org/project/babel) 2.5.3 → 2.6.0 (Internationalization utilities)

  * [bcolz](https://pypi.org/project/bcolz) 1.2.0 → 1.2.1 (columnar and compressed data containers.)

  * [bloscpack](https://pypi.org/project/bloscpack) 0.11.0 → 0.13.0 (Command line interface to and serialization format for Blosc)

  * [bokeh](https://pypi.org/project/bokeh) 0.12.15 → 0.13.0 (Statistical and novel interactive HTML plots for Python)

  * [brotli](https://pypi.org/project/brotli) 1.0.2 → 1.0.4 (Python binding of the Brotli compression library)

  * [certifi](https://pypi.org/project/certifi) 2018.1.18 → 2018.4.16 (Python package for providing Mozilla's CA Bundle.)

  * [cloudpickle](https://pypi.org/project/cloudpickle) 0.5.2 → 0.5.3 (Extended pickling support for Python objects)

  * [cython](http://www.cython.org) 0.28.1 → 0.28.3 (Cython is a language that makes writing C extensions for the Python language as easy as Python)

  * [dask](https://pypi.org/project/dask) 0.17.2 → 0.18.1 (Minimal task scheduling abstraction)

  * [decorator](https://pypi.org/project/decorator) 4.2.1 → 4.3.0 (Better living through Python with decorators)

  * [distributed](https://pypi.org/project/distributed) 1.21.4 → 1.22.0 (Distributed computing)

  * [flask](https://pypi.org/project/flask) 0.12.2 → 1.0.2 (A microframework based on Werkzeug, Jinja2 and good intentions)

  * [geopy](https://pypi.org/project/geopy) 1.12.0 → 1.14.0 (Python Geocoding Toolbox)

  * [h5py](https://pypi.org/project/h5py) 2.8.0rc1 → 2.8.0 (General-purpose Python interface to HDF5 files (unlike PyTables, h5py provides direct access to the full HDF5 C library))

  * [holoviews](https://pypi.org/project/holoviews) 1.10.0a2 → 1.11.0a1 (Composable, declarative data structures for building complex visualizations easily.)

  * [idna](https://pypi.org/project/idna) 2.6 → 2.7 (Internationalized Domain Names in Applications (IDNA))

  * [ipydatawidgets](https://pypi.org/project/ipydatawidgets) 3.0.0 → 3.1.0 (A set of widgets to help facilitate reuse of large datasets across widgets)

  * [ipyleaflet](https://pypi.org/project/ipyleaflet) 0.7.3 → 0.9.0 (A Jupyter widget for dynamic Leaflet maps)

  * [ipympl](https://pypi.org/project/ipympl) 0.1.0 → 0.2.0 (Matplotlib Jupyter Extension)

  * [ipyparallel](https://pypi.org/project/ipyparallel) 6.1.1 → 6.2.2 (Interactive Parallel Computing with IPython)

  * [ipyscales](https://pypi.org/project/ipyscales) 0.1.3 → 0.2.2 (A widget library for scales)

  * [ipython](https://pypi.org/project/ipython) 6.2.1 → 6.4.0 (Enhanced Python shell)

  * [ipython_sql](https://pypi.org/project/ipython_sql) 0.3.8 → 0.3.9 (RDBMS access via IPython)

  * [ipywidgets](https://pypi.org/project/ipywidgets) 7.2.0 → 7.2.1 (IPython HTML widgets for Jupyter)

  * [jedi](https://pypi.org/project/jedi) 0.11.1 → 0.12.1 (An autocompletion tool for Python that can be used for text editors)

  * [joblib](https://pypi.org/project/joblib) 0.11 → 0.12.0 (Lightweight pipelining: using Python functions as pipeline jobs.)

  * [jupyterlab](https://pypi.org/project/jupyterlab) 0.31.12 → 0.32.1 (Jupyter lab environment notebook server extension)

  * [keras](https://pypi.org/project/keras) 2.1.5 → 2.2.0 (Theano-based Deep Learning library)

  * [lmfit](https://pypi.org/project/lmfit) 0.9.9 → 0.9.11 (Least-Squares Minimization with Bounds and Constraints)

  * [lxml](https://pypi.org/project/lxml) 4.2.1 → 4.2.3 (Powerful and Pythonic XML processing library combining libxml2/libxslt with the ElementTree API.)

  * [monotonic](https://pypi.org/project/monotonic) 1.4 → 1.5 (An implementation of time.monotonic() for Python 2 & < 3.3)

  * [more_itertools](https://pypi.org/project/more_itertools) 4.1.0 → 4.2.0 (More routines for operating on iterables, beyond itertools)

  * [moviepy](https://pypi.org/project/moviepy) 0.2.3.2 → 0.2.3.5 (Video editing with Python)

  * [netcdf4](https://pypi.org/project/netcdf4) 1.3.1 → 1.4.0 (Provides an object-oriented python interface to the netCDF version 4 library)

  * [nltk](https://pypi.org/project/nltk) 3.2.5 → 3.3 (The Natural Language Toolkit (NLTK) is a Python package for natural language processing.)

  * [notebook](https://pypi.org/project/notebook) 5.4.1 → 5.5.0 (# Jupyter Notebook)

  * [numcodecs](https://pypi.org/project/numcodecs) 0.5.4 → 0.5.5 (buffer compression and transformation codecs for use in data storage and communication applications)

  * [numexpr](https://pypi.org/project/numexpr) 2.6.4 → 2.6.5 (Fast evaluation of array expressions elementwise by using a vector-based virtual machine)

  * [numpy](http://numpy.scipy.org/) 1.14.2+mkl → 1.14.5+mkl (NumPy: multidimensional array processing for numbers, strings, records and objects (SciPy''s core module))

  * [numpydoc](https://pypi.org/project/numpydoc) 0.7.0 → 0.8.0 (Sphinx extension to support docstrings in Numpy format)

  * [octave_kernel](https://pypi.org/project/octave_kernel) 0.28.3 → 0.28.4 (A Jupyter kernel for Octave.)

  * [palettable](https://pypi.org/project/palettable) 3.1.0 → 3.1.1 (Color palettes for Python)

  * [pandas](https://pypi.org/project/pandas) 0.22.0 → 0.23.3 (Powerful data structures for data analysis, time series and statistics)

  * [param](https://pypi.org/project/param) 1.5.2 → 1.7.0 (Declarative Python programming using Parameters.)

  * [parso](https://pypi.org/project/parso) 0.1.1 → 0.3.0 (A Python Parser)

  * [pexpect](https://pypi.org/project/pexpect) 4.4.0 → 4.6.0+dummy (Pexpect allows easy control of interactive console applications.)

  * [pillow](https://pypi.org/project/pillow) 5.0.0 → 5.2.0 (Python Imaging Library (fork))

  * [pip](https://pypi.org/project/pip) 9.0.3 → 10.0.1 (A tool for installing and managing Python packages)

  * [psutil](http://code.google.com/p/psutil) 5.4.3 → 5.4.6 (Provides an interface for retrieving information on all running processes and system utilization (CPU, disk, memory, network) in a portable way)

  * [py](https://pypi.org/project/py) 1.5.3 → 1.5.4 (library with cross-python path, ini-parsing, io, code, log facilities)

  * [pybind11](https://pypi.org/project/pybind11) 2.2.2 → 2.2.3 (Seamless operability between C++11 and Python)

  * [pycodestyle](https://pypi.org/project/pycodestyle) 2.3.1 → 2.4.0 (Python style guide checker)

  * [pyflakes](https://pypi.org/project/pyflakes) 1.6.0 → 2.0.0 (passive checker of Python programs)

  * [pylint](http://www.logilab.org/project/pylint) 1.8.3 → 1.9.2 (Logilab code analysis module: analyzes Python source code looking for bugs and signs of poor quality)

  * [pymc3](https://pypi.org/project/pymc3) 3.3 → 3.4.1 (Markov Chain Monte Carlo sampling toolkit.)

  * [pymongo](https://pypi.org/project/pymongo) 3.6.1 → 3.7.0 (Python driver for MongoDB <http://www.mongodb.org>)

  * [pyqtgraph](https://pypi.org/project/pyqtgraph) 0.10.1.dev1 → 0.11.0.dev0 (Scientific Graphics and GUI Library for Python)

  * [pytest](https://pypi.org/project/pytest) 3.5.0 → 3.6.3 (pytest: simple powerful testing with Python)

  * [python_dateutil](http://labix.org/python-dateutil) 2.7.2 → 2.7.3 (Powerful extensions to the standard datetime module)

  * [python_snappy](https://pypi.org/project/python_snappy) 0.5.2 → 0.5.3 (Python library for the snappy compression library from Google)

  * [pythreejs](https://pypi.org/project/pythreejs) 1.0.0 → 1.1.0 (Interactive 3d graphics for the Jupyter notebook, using Three.js from Jupyter interactive widgets.)

  * [pytz](https://pypi.org/project/pytz) 2018.3 → 2018.5 (World Timezone Definitions for Python)

  * [pywin32](https://pypi.org/project/pywin32) 223 → 223.1 (Python library for Windows)

  * [pywinpty](https://pypi.org/project/pywinpty) 0.5.1 → 0.5.4 (Python bindings for the winpty library)

  * [pyyaml](https://pypi.org/project/pyyaml) 3.12 → 4.1 (YAML parser and emitter for Python)

  * [qtawesome](https://pypi.org/project/qtawesome) 0.4.4 → 0.5.0.dev0 (FontAwesome icons in PyQt and PySide applications)

  * [qtpy](https://pypi.org/project/qtpy) 1.4.0 → 1.4.2 (Provides an abstraction layer on top of the various Qt bindings (PyQt5, PyQt4 and PySide) and additional custom QWidgets.)

  * [regex](https://pypi.org/project/regex) 2018.2.21 → 2018.6.21 (Alternative regular expression module, to replace re.)

  * [requests](https://pypi.org/project/requests) 2.18.4 → 2.19.1 (Requests is an Apache2 Licensed HTTP library, written in Python, for human beings.)

  * [rope](https://pypi.org/project/rope) 0.10.5 → 0.10.7 (a python refactoring library...)

  * [rpy2](https://pypi.org/project/rpy2) 2.9.2 → 2.9.4 (Python interface to the R language (embedded R))

  * [scikit_image](https://pypi.org/project/scikit_image) 0.13.1 → 0.14.0 (Image processing toolbox for SciPy)

  * [scipy](http://www.scipy.org) 1.0.1 → 1.1.0 (SciPy: Scientific Library for Python (advanced math, signal processing, optimization, statistics, ...))

  * [setuptools](https://pypi.org/project/setuptools) 39.0.1 → 39.2.0 (Download, build, install, upgrade, and uninstall Python packages - easily)

  * [simplejson](https://pypi.org/project/simplejson) 3.13.2 → 3.16.0 (Simple, fast, extensible JSON (JavaScript Object Notation) encoder/decoder)

  * [sortedcontainers](https://pypi.org/project/sortedcontainers) 1.5.9 → 2.0.4 (Python Sorted Container Types: SortedList, SortedDict, and SortedSet)

  * [sounddevice](https://pypi.org/project/sounddevice) 0.3.10 → 0.3.11 (Play and Record Sound with Python)

  * [sphinx](https://pypi.org/project/sphinx) 1.7.2 → 1.7.5 (Tool for generating documentation which uses reStructuredText as its markup language)

  * [sphinx_rtd_theme](https://pypi.org/project/sphinx_rtd_theme) 0.2.4 → 0.4.0 (ReadTheDocs.org theme for Sphinx, 2013 version.)

  * [sphinxcontrib_websupport](https://pypi.org/project/sphinxcontrib_websupport) 1.0.1 → 1.1.0 (Sphinx API for Web Apps)

  * [spyder](https://pypi.org/project/spyder) 3.2.8 → 3.3.0 (Scientific PYthon Development EnviRonment: designed for interactive computing and data visualisation with a simple and intuitive user interface)

  * [sqlalchemy](http://www.sqlalchemy.org) 1.2.6 → 1.2.9 (SQL Toolkit and Object Relational Mapper)

  * [statsmodels](https://pypi.org/project/statsmodels) 0.8.0 → 0.9.0 (Statistical computations and models for use with SciPy)

  * [tables](http://www.pytables.org) 3.4.2 → 3.4.4 (Package based on HDF5 library for managing hierarchical datasets (extremely large amounts of data))

  * [theano](https://pypi.org/project/theano) 1.0.1 → 1.0.2 (Optimizing compiler for evaluating mathematical expressions on CPUs and GPUs.)

  * [tornado](https://pypi.org/project/tornado) 4.5.3 → 5.0.2 (Scalable, non-blocking web server and tools (required for IPython notebook))

  * [tqdm](https://pypi.org/project/tqdm) 4.19.9 → 4.23.4 (A Simple Python Progress Meter)

  * [traittypes](https://pypi.org/project/traittypes) 0.0.6 → 0.2.1 (Scipy trait types)

  * [urllib3](https://pypi.org/project/urllib3) 1.21.1 → 1.23 (HTTP library with thread-safe connection pooling, file post, and more.)

  * [vega](https://pypi.org/project/vega) 0.5.0 → 1.3.0 (An IPython/ Jupyter widget for Vega and Vega-Lite)

  * [vega3](https://pypi.org/project/vega3) 0.5.0 → 0.13.0 (An IPython/ Jupyter widget for Vega 3 and Vega-Lite 2)

  * [wheel](https://pypi.org/project/wheel) 0.30.0 → 0.31.1 (A built-package format for Python.)

  * [widgetsnbextension](https://pypi.org/project/widgetsnbextension) 3.2.0 → 3.2.1 (IPython HTML widgets for Jupyter)

  * [winpython](http://winpython.github.io/) 1.10.20180404 → 1.10.20180624 (WinPython distribution tools, including WPPM (package manager))

  * [xarray](https://pypi.org/project/xarray) 0.10.2 → 0.10.7 (N-D labeled arrays and datasets in Python)

  * [xlsxwriter](https://pypi.org/project/xlsxwriter) 1.0.2 → 1.0.5 (A Python module for creating Excel XLSX files.)



Removed packages:



  * [absl_py](https://pypi.python.org/pypi/absl_py) 0.1.11 (Abseil Python Common Libraries)

  * [astor](https://pypi.python.org/pypi/astor) 0.6.2 (Read/rewrite/write Python ASTs)

  * [blaze](https://pypi.python.org/pypi/blaze) 0.10.1 (Blaze)

  * [flask_cors](https://pypi.python.org/pypi/flask_cors) 3.0.3 (A Flask extension adding a decorator for CORS support)

  * [gast](https://pypi.python.org/pypi/gast) 0.2.0 (Python AST that abstracts the underlying Python version)

  * [grpcio](https://pypi.python.org/pypi/grpcio) 1.10.0 (HTTP/2-based RPC framework)

  * [odo](https://pypi.python.org/pypi/odo) 0.5.0 (Data migration in Python)

  * [protobuf](https://pypi.python.org/pypi/protobuf) 3.5.1 (Protocol Buffers - Google's data interchange format)

  * [ptyprocess](https://pypi.python.org/pypi/ptyprocess) 0.5.2 (Run a subprocess in a pseudo terminal)

  * [tensorboard](https://pypi.python.org/pypi/tensorboard) 1.7.0 (TensorBoard lets you watch Tensors Flow)

  * [tensorflow](https://pypi.python.org/pypi/tensorflow) 1.7.0 (TensorFlow helps the tensors flow)

  * [termcolor](https://pypi.python.org/pypi/termcolor) 1.1.0 (ANSII Color formatting for output in terminal)

  * [vega_datasets](https://pypi.python.org/pypi/vega_datasets) 0.4.1 (A Python package for offline access to Vega datasets)



* * *

